@import url("https://fonts.googleapis.com/css2?family=Lato:wght@300&display=swap");

:root {
  --primary-color: #002240;
  --secondary-color: #1c3fa8;
  --dark-color: #002240;
  --light-color: #f4f4f4;
  --success-color: #5cb85c;
  --error-color: #d9534f;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

.subheading {
  border-bottom: black;
}

.subheadingblue {
  color: var(--secondary-color);
  font-size: 0.7em;
}

.cloud {
  position: relative;
  z-index: 100;
}
#innerLink {
  font-size: larger;
  font-weight: bold;
  color: var(--secondary-color);
}

.pageTitle {
  text-align: center;
  align-content: center;
}

.pageSubhead {
  text-align: center;
  align-content: center;
}

.logo {
  display:flex;
  align-content: center;
  width: 20vh;
}
head {
  z-index: 0;
}
body {
  font-family: "Lato", sans-serif;
  color: #333;
  line-height: 1.6;
  z-index: 2;
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: #333;
}

h1,
h2 {
  font-weight: 300;
  line-height: 1.2;
  margin: 10px 0;
}

p {
  margin: 10px 0;
}

img {
  width: 100%;
}

code,
pre {
  background: #333;
  color: #fff;
  padding: 10px;
}

.hidden {
  visibility: hidden;
  height: 0;
}

/* Navbar */
.navbar {
  background-color: var(--primary-color);
  color: #fff;
  height: 70px;
  overflow: hidden;
}

.navbar ul {
  display: flex;
}

.navbar a {
  color: #fff;
  padding: 10px;
  margin: 0 5px;
}

.navbar a:hover {
  border-bottom: 2px #fff solid;
}

.navbar .flex {
  justify-content: space-between;
}

.card1:hover {
  background-image: url("Images/Route_1_map.jpg");
  background-size: 100%;
}
.slider {
  width: 100%;
  text-align: center;
  overflow: hidden;
  margin-bottom: 30px;
  background-size: contain;
}

.dateElement {
  width: 100%;
  height: 130px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 8px 6px -6px black;
  padding-bottom: 20px;
  visibility: hidden;
}

.date_block {
  width: 100px;
  height: 100%;
  border: 1px solid black;
  box-shadow: 0 8px 6px -6px black;
}

.digit {
  background-color: var(--primary-color);
  width: 100%;
  height: 65%;
  display: flex;
  justify-content: center;
  align-items: center;
}

div.digit > p {
  font-family: "Saira Condensed", sans-serif;
  font-size: 4rem;
  color: white;
}
.wording {
  width: 100%;
  height: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

div.wording > p {
  font-family: "Montserrat", sans-serif;
  font-size: 1.25rem;
  color: black;
}
div.wording > p ~ p {
  font-family: "Montserrat", sans-serif;
  font-size: 0.8rem;
  color: black;
}
.slides {
  display: inherit;
  scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  -webkit-overflow-scrolling: touch;
  background-size: contain;

  /*
  scroll-snap-points-x: repeat(300px);
  scroll-snap-type: mandatory;
  */
}
.slides::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}
.slides::-webkit-scrollbar-thumb {
  background: black;
  border-radius: 10px;
}
.slides::-webkit-scrollbar-track {
  background: transparent;
}

.slides > div {
  height: 1000px;
  width: 100%;
  background-position: center;
  background-size: cover;
}
/* .slides > div:target {
/*   transform: scale(0.8); */
/*} */
.slider > a {
  display: inline-flex;
  width: 1.5rem;
  height: 1.5rem;
  background: white;
  text-decoration: none;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  margin: 0 0 0.5rem 0;
  position: relative;
}
.slider > a:active {
  top: 1px;
}
.slider > a:focus {
  background: green;
}
/* Don't need button navigation */
@supports (scroll-snap-type) {
  .slider > a {
    display: none;
  }
}
/* Showcase */
.showcase {
  height: 400px;
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../Images/New\ Flying\ Santa.jpeg);
  background-position: center;
  background-size: 100%;
  background-repeat: no-repeat;
  background-color: var(--primary-color);
  color: #fff;
  position: relative;
}

.showcase h1 {
  font-size: 40px;
}

.showcase p {
  margin: 20px 0;
}

.showcase .grid {
  overflow: visible;
  grid-template-columns: 55% auto;
  gap: 30px;
}

.content-align {
  height: 100%;
}

.showcase-text {
  animation: slideInFromLeft 1s ease-in;
}

.showcase-form {
  position: relative;
  top: 60px;
  height: 350px;
  width: 400px;
  padding: 40px;
  z-index: 100;
  justify-self: flex-end;
  animation: slideInFromRight 1s ease-in;
}

.showcase-form .form-control {
  margin: 30px 0;
}

.showcase-form input[type="text"],
.showcase-form input[type="email"] {
  border: 0;
  border-bottom: 1px solid #b4becb;
  width: 100%;
  padding: 3px;
  font-size: 16px;
}

.showcase-form input:focus {
  outline: none;
}

/* Stats */
.stats {
  position: relative;
  padding-top: 50px;
  z-index: 20;
  animation: slideInFromBottom 1s ease-in;
}

.stats-heading {
  padding-top: 10px;
  max-width: 500px;
  margin: auto;
}

.stats .grid h3 {
  font-size: 35px;
}

.stats .grid p {
  font-size: 20px;
  font-weight: bold;
}

/* Cli */
.cli .grid {
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
}

.cli .grid > *:first-child {
  grid-column: 1 / span 2;
  grid-row: 1 / span 2;
}

/* Cloud */
.cloud .grid {
  grid-template-columns: 4fr 3fr;
}

/* Languages */

.languages .flex {
  flex-wrap: wrap;
}

.languages .card {
  text-align: center;
  margin: 18px 05px 20px;
  transition: transform 0.2s ease-in;
}

.languages .card h4 {
  font-size: 20px;
}

.languages .card:hover {
  transform: translateY(-15px);
}

/* Features */
.features-head img,
.docs-head img {
  width: 200px;
  justify-self: flex-end;
}

.features-sub-head img {
  width: 300px;
  justify-self: flex-end;
}

.features-main .card > i {
  margin-right: 20px;
}

.features-main .grid {
  padding: 30px;
}

.features-main .grid > *:first-child {
  grid-column: 1 / span 3;
}

.features-main .grid > *:nth-child(2) {
  grid-column: 1 / span 2;
}

.copyright {
  text-align: center;
}

/* Docs */
.docs-main h3 {
  margin: 20px 0;
}

.docs-main .grid {
  grid-template-columns: 1fr 2fr;
  align-items: flex-start;
}

.docs-main nav li {
  font-size: 17px;
  padding-bottom: 5px;
  margin-bottom: 5px;
  border-bottom: 1px #ccc solid;
}

.docs-main a:hover {
  font-weight: bold;
}

/* Footer */
.footer {
  margin: 0 0px;
  float: center;
}

.fa-github:hover {
  color: #000000;
}

.fa-facebook:hover {
  color: #1773ea;
}

.fa-instagram:hover {
  color: #b32e87;
}

.fa-twitter:hover {
  color: #1c9cea;
}

/* Animations */
@keyframes slideInFromLeft {
  0% {
    transform: translateX(-100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes slideInFromRight {
  0% {
    transform: translateX(100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes slideInFromTop {
  0% {
    transform: translateY(-100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes slideInFromBottom {
  0% {
    transform: translateY(100%);
  }

  100% {
    transform: translateX(0);
  }
}

/* Tablets and under */
@media (max-width: 768px) {
  .grid,
  .showcase .grid,
  .stats .grid,
  .cli .grid,
  .cloud .grid,
  .features-main .grid,
  .docs-main .grid {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
  }
  .link26 {
    width: 100px;
    padding-right: 50px;
  }

  .extraspace {
    margin-right: 50px;
  }

  .slides > div {
    height: 500px;
    width: 100%;
    background-size: contain;
  }

  .slider {
    width: 100%;
    text-align: center;
    overflow: hidden;
    margin-bottom: 10px;
    background-size: contain;
  }
  #search {
    width: 90%;
    height: 40px;
  }

  .showcase {
    height: auto;
  }

  .showcase-text {
    text-align: center;
    margin-top: 10px;
    animation: slideInFromTop 1s ease-in;
  }

  .showcase-form {
    justify-self: center;
    margin: auto;
    animation: slideInFromBottom 1s ease-in;
  }

  .cli .grid > *:first-child {
    grid-column: 1;
    grid-row: 1;
  }

  .features-head,
  .features-sub-head,
  .docs-head {
    text-align: center;
  }

  .features-head img,
  .features-sub-head img,
  .docs-head img {
    justify-self: center;
  }

  .features-main .grid > *:first-child,
  .features-main .grid > *:nth-child(2) {
    grid-column: 1;
  }
}

/* Mobile */
@media (max-width: 500px) {
  .navbar {
    height: 160px;
    overflow: hidden;
  }

  .card {
    display: flex;
    flex-direction: column;
    background-color: #fff;
    color: #333;
    border-radius: 10px;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.2);
    padding: 20px;
    height: 320px;
    margin: 10px;
  }

  .navbar .flex {
    flex-direction: column;
  }

  .navbar ul {
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.1);
  }

  .showcase-form {
    width: 300px;
  }
}

#the-wrap {
  width: 1000px;
  margin: auto;
}

.ball-wrapper {
  float: left;
  margin: 0px 40px;
}

.string {
  width: 1.5px;
  position: relative;
  background-color: #f99d24;
  height: 200px;
  left: 80px;
  top: 12.4px;
  margin-top: -20px;
}

.red-ball {
  background-color: #6b2f36;
  border-radius: 50%;
  height: 150px;
  width: 150px;
  position: relative;
  left: 3px;
}

.green-ball {
  background-color: #9cd6ac;
  border-radius: 50%;
  height: 150px;
  width: 150px;
  position: relative;
  left: 3px;
}

.blue-ball {
  background-color: #475479;
  border-radius: 50%;
  height: 150px;
  width: 150px;
  position: relative;
  left: 3px;
}

.white-ball {
  background-color: #f9f9f9;
  border-radius: 50%;
  height: 150px;
  width: 150px;
  position: relative;
  left: 3px;
}
.circle:active {
  border-radius: 100%;
  background: green;
  display: inline-block;
  line-height: 100px;
}
.active {
  border-radius: 100%;
  background: green;
  display: inline-block;
  line-height: 100px;
}
.snow {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 80vh;
  z-index: 1;
  pointer-events: none;
}

.map-title {
  float: center;
  width: 100%;
  align-items: "center";
  background-color: rgba(132, 230, 20, 0.5);
  margin-top: 0px;
  margin-bottom: 0px;
}
